<?php

use Illuminate\Database\Migrations\Migration;

class CreateKompetensisTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: kompetensis
         */
        Schema::create('kompetensis', function ($table) {
            $table->increments('id');
            $table->package::package.fieldtype.VARCHAR('name')->nullable();
            $table->package::package.fieldtype.TEXT('title')->nullable();
            $table->package::package.fieldtype.TEXT('heading')->nullable();
            $table->package::package.fieldtype.TEXT('sub_heading')->nullable();
            $table->package::package.fieldtype.TEXT('abstract')->nullable();
            $table->package::package.fieldtype.TEXT('content')->nullable();
            $table->package::package.fieldtype.TEXT('meta_title')->nullable();
            $table->package::package.fieldtype.TEXT('meta_keyword')->nullable();
            $table->package::package.fieldtype.TEXT('meta_description')->nullable();
            $table->package::package.fieldtype.MEDIUMTEXT('banner')->nullable();
            $table->package::package.fieldtype.TEXT('images')->nullable();
            $table->package::package.fieldtype.TINYINT('compile')->nullable();
            $table->package::package.fieldtype.VARCHAR('view')->nullable();
            $table->package::package.fieldtype.VARCHAR('category')->nullable();
            $table->package::package.fieldtype.INT('order')->nullable();
            $table->package::package.fieldtype.ENUM('status')->nullable();
            $table->package::package.fieldtype.VARCHAR('upload_folder')->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'published', 'hidden', 'suspended', 'spam'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('kompetensis');
    }
}
